<?php
/**
 * Просмотр транзакций Бифит Касса
 *
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    6.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2023 OOO «Диафан» (http://www.diafan.ru/)
 */

if (!defined("DIAFAN")) {
	$path = __FILE__;

	while (!file_exists($path . "/includes/404.php")) {
		$parent = dirname($path);

		if ($parent == $path) {
			exit();
		}

		$path = $parent;
	}

	include $path . "/includes/404.php";
}

class Bifit_admin extends Frame_admin
{
	/**
	 * @var string таблица в базе данных
	 */
	public $table = "bifit";

	/**
	 * @var array поля в списка элементов
	 */
	public $variables_list = [
		"checkbox" => "",
		"order_id" => [
			"type" => "none",
			"sql" => true,
			"no_important" => true,
		],
		"receipt_id" => [
			"type" => "none",
			"sql" => true,
			"no_important" => true,
		],
		"order_number" => [
			"name" => "Заказ",
			"sql" => true,
			"type" => "function",
		],
		"order_date" => [
			"name" => "Дата",
			"type" => "text",
			"sql" => true,
			"no_important" => true,
		],
		"cashier" => [
			"name" => "Кассир",
			"sql" => true,
			"type" => "function",
		],
		"client" => [
			"name" => "Клиент",
			"sql" => true,
			"type" => "function",
		],
		"receipt_link" => [
			"name" => "Чек",
			"sql" => true,
			"type" => "function",
		],
		"doc" => [
			"name" => "Документ",
			"sql" => true,
			"type" => "function",
		],
		"log" => [
			"name" => "Лог",
			"sql" => true,
			"type" => "function",
		],
		"receipt_type" => [
			"name" => "Тип",
			"type" => "text",
			"sql" => true,
			"no_important" => true,
		],
		"payment_type" => [
			"name" => "Оплата",
			"type" => "text",
			"sql" => true,
			"no_important" => true,
		],
		"actions" => [
			"del" => true,
		],
	];

	/**
	 * Выводит список транзакций
	 * @return void
	 */
	public function show()
	{
		echo '<link rel="stylesheet" href="' .
			BASE_PATH .
			File::compress(Custom::path("css/jquery.fancybox.min.css"), "css") .
			'" type="text/css" media="screen" title="main stylesheet" charset="utf-8"/>';
		echo '<script asyncsrc="' .
			BASE_PATH .
			Custom::path("js/jquery.fancybox.min.js") .
			'" type="text/javascript" charset="utf-8"></script>';

		$this->diafan->list_row();

		if (!$this->diafan->count) {
			echo "<center>" .
				$this->diafan->_("транзакции отстутствуют.") .
				"</center>";
		}
	}

	/**
	 * Выводит order_number в списке элементов
	 *
	 * @param array $row информация о текущем элементе списка
	 * @param array $var текущее поле
	 * @return string
	 */
	public function list_variable_order_number($row, $var)
	{
		return "<div" .
			(!empty($var["class"]) ? ' class="' . $var["class"] . '"' : "") .
			">" .
			(!empty($row["order_number"])
				? '<a target="_blank" class="order_number" href="' .
					BASE_PATH_HREF .
					"order/edit" .
					$row["order_id"] .
					'/">' .
					$row["order_number"] .
					"</a>"
				: "&nbsp;") .
			"</div>";
	}

	/**
	 * Выводит receipt_link в списке элементов
	 *
	 * @param array $row информация о текущем элементе списка
	 * @param array $var текущее поле
	 * @return string
	 */
	public function list_variable_receipt_link($row, $var)
	{
		return "<div" .
			(!empty($var["class"]) ? ' class="' . $var["class"] . '"' : "") .
			">" .
			(!empty($row["receipt_link"])
				? '<a target="_blank" href="' .
					$row["receipt_link"] .
					'" class="btn btn_blue btn_small"><span class="icon icon-link"></span> <span class="hidden-phone">Открыть</span></a>'
				: "&nbsp;") .
			"</div>";
	}
	/**
	 * Выводит order_cashier в списке элементов
	 *
	 * @param array $row информация о текущем элементе списка
	 * @param array $var текущее поле
	 * @return string
	 */
	public function list_variable_cashier($row, $var)
	{
		return "<div" .
			(!empty($var["class"]) ? ' class="' . $var["class"] . '"' : "") .
			">" .
			(!empty($row["cashier"])
				? '<span class="icon icon-user"></span>' . $row["cashier"]
				: "&nbsp;") .
			"</div>";
	}

	/**
	 * Выводит order_client в списке элементов
	 *
	 * @param array $row информация о текущем элементе списка
	 * @param array $var текущее поле
	 * @return string
	 */
	public function list_variable_client($row, $var)
	{
		return "<div" .
			(!empty($var["class"]) ? ' class="' . $var["class"] . '"' : "") .
			">" .
			(!empty($row["client"])
				? '<span class="icon icon-user"></span>' . $row["client"]
				: "&nbsp;") .
			"</div>";
	}

	/**
	 * Выводит doc в списке элементов
	 *
	 * @param array $row информация о текущем элементе списка
	 * @param array $var текущее поле
	 * @return string
	 */
	public function list_variable_doc($row, $var)
	{
		return "<div" .
			(!empty($var["class"]) ? ' class="' . $var["class"] . '"' : "") .
			">" .
			(!empty($row["doc"])
				? '<a href="#doc' .
					$row["id"] .
					'" class="btn btn-small btn-inverse modal"><span class="icon icon-tag"></span> <span>' .
					$row["receipt_id"] .
					'</span></a><div style="display:none"><div id="doc' .
					$row["id"] .
					'">' .
					str_replace("\n", "<br>", $row["doc"]) .
					"</div></div>"
				: "&nbsp;") .
			"</div>";
	}

	/**
	 * Выводит doc в списке элементов
	 *
	 * @param array $row информация о текущем элементе списка
	 * @param array $var текущее поле
	 * @return string
	 */
	public function list_variable_log($row, $var)
	{
		return "<div" .
			(!empty($var["class"]) ? ' class="' . $var["class"] . '"' : "") .
			">" .
			(!empty($row["log"])
				? '<a href="#log' .
					$row["id"] .
					'" class="btn btn-small btn-success modal"><span class="icon icon-file-2"></span> <span class="hidden-phone">Смотреть</span></a><div style="display:none"><div style="max-width: 600px; max-height: 600px" id="log' .
					$row["id"] .
					'">' .
					str_replace("\n", "<br>", $row["log"]) .
					"</div></div>"
				: "&nbsp;") .
			"</div>";
	}
}
